framework:
  name: 'Model Openness Framework'
  version: '1.0'
  date: '2024-12-15'
release:
  name: Pythia-2.8B
  date: '2025-11-03'
  producer: EleutherAI
  repository: 'https://github.com/EleutherAI/pythia'
  huggingface: 'https://huggingface.co/EleutherAI/pythia-2.8b'
  license:
    distribution:
      name: Apache-2.0
      path: ''
  components:
    -
      name: 'Model architecture'
      description: "Well commented code for the model's architecture"
    -
      name: 'Data preprocessing code'
      description: 'Code for data cleansing, normalization, and augmentation'
      license: MIT
      license_path: 'https://github.com/EleutherAI/the-pile/blob/master/LICENSE'
      component_path: 'https://github.com/EleutherAI/the-pile'
    -
      name: 'Training code'
      description: 'Code used for training the model'
      license: MIT
    -
      name: 'Inference code'
      description: 'Code used for running the model to make predictions'
    -
      name: 'Evaluation code'
      description: 'Code used for evaluating the model'
      license: MIT
      license_path: 'https://github.com/EleutherAI/lm-evaluation-harness/blob/main/LICENSE.md'
      component_path: 'https://github.com/EleutherAI/lm-evaluation-harness'
    -
      name: 'Supporting libraries and tools'
      description: "Libraries and tools used in the model's development"
    -
      name: 'Model parameters (Final)'
      description: 'Trained model parameters, weights and biases'
    -
      name: 'Model parameters (Intermediate)'
      description: 'Trained model parameters, weights and biases'
    -
      name: Datasets
      description: 'Training, validation and testing datasets used for the model'
      component_path: 'https://pile.eleuther.ai/'
    -
      name: 'Evaluation data'
      description: 'Data used for evaluating the model'
    -
      name: 'Model metadata'
      description: 'Any model metadata including training configuration and optimizer states'
    -
      name: 'Model card'
      description: 'Model details including performance metrics, intended use, and limitations'
    -
      name: 'Data card'
      description: 'Documentation for datasets including source, characteristics, and preprocessing details'
    -
      name: 'Research paper'
      description: 'Research paper detailing the development and capabilities of the model'
      license: CC-BY-SA-4.0
      component_path: 'https://arxiv.org/abs/2304.01373'
    -
      name: 'Evaluation results'
      description: 'The results from evaluating the model'
